# $Revision: 1.14 $, $Date: 2012/07/07 20:07:10 $
#
# Conditional build:
%bcond_with	tests		# build without tests

%define		svnrev	1175
#define		rel		%{nil}
Summary:	Generate Your Projects
Name:		gyp
Version:	1
Release:	%{svnrev}%{?rel:.%{rel}}
License:	New BSD
Group:		Development/Building
# use get-source.sh
Source0:	%{name}-%{svnrev}.tar.bz2
# Source0-md5:	7d88a5d46b19c072809371e9c6e877d3
URL:		http://code.google.com/p/gyp/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-%{name} = %{version}-%{release}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format. It's
syntax is a universal cross-platform build representation that still
allows sufficient per-platform flexibility to accommodate
irreconcilable differences.

%package -n python-%{name}
Summary:	Python module for GYP
Group:		Development/Languages/Python

%description -n python-%{name}
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format. It's
syntax is a universal cross-platform build representation that still
allows sufficient per-platform flexibility to accommodate
irreconcilable differences.

%prep
%setup -q -n %{name}

%build
%{__python} setup.py build

%{?with_tests:%{__python} gyptest.py -a}

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE
%attr(755,root,root) %{_bindir}/gyp

%files -n python-%{name}
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/gyp
%dir %{py_sitescriptdir}/gyp/generator
%{py_sitescriptdir}/gyp/*.py[co]
%{py_sitescriptdir}/gyp/generator/*.py[co]

%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/gyp-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gyp.spec,v $
Revision 1.14  2012/07/07 20:07:10  glen
- up to 1175

Revision 1.13  2012/06/21 08:08:26  glen
- up to 1361, do not package tests as long we are not running them

Revision 1.12  2011/12/04 19:15:37  glen
- up to r1103

Revision 1.11  2011/08/27 12:02:00  glen
- r1014

Revision 1.10  2011/08/26 07:08:24  glen
- up to svn 1013

Revision 1.9  2010/11/03 21:25:51  shadzik
- rel 2

Revision 1.8  2010/08/17 16:09:41  vip
- up to rev 840

Revision 1.7  2010/07/09 11:17:15  arekm
- release 2

Revision 1.6  2010/04/05 17:40:50  glen
- up to @795

Revision 1.5  2010/03/02 15:07:39  glen
- up to 790

Revision 1.4  2010/02/17 13:56:54  glen
- up to @785 for --no-circular-check arg support

Revision 1.3  2010/02/03 09:34:12  arekm
- release 3

Revision 1.2  2010/02/01 17:16:29  glen
- python-gyp module split; rel 2

Revision 1.1  2010/01/28 12:26:11  glen
- new, desc from ubuntu
